#!/usr/bin/ksh

echo "Beginning ClassLoader Viewer install"

export WAS_HOME=/opt/WebSphere/AppServer


echo "Checking if $WAS_HOME exists and is a valid WebSphere directory"

if [ ! -f $WAS_HOME/lib/classloader.jar ] 
then
	echo "ERROR: $WAS_HOME does not appear to be a valid WebSphere directory"
	echo "Please update the value of WAS_HOME in the ClassLoaderViewer.sh file"
	exit -1
fi


echo "Copying CLASSLOADERVIEWER.WAR to $WAS_HOME/bin directory"

if [ ! -f ../lib/ClassLoaderViewer.war ]
then
	echo "ERROR: Please execute this file from the directory in which it resides"
	exit -1
fi


cp  ../lib/ClassLoaderViewer.war $WAS_HOME/bin
cd $WAS_HOME/bin


echo "Installing ClassLoader Viewer Plugin"
./PluginProcessor.sh -install -moduleExtension ClassLoaderViewer.war


echo "ClassLoader Viewer Installed!"
exit 0
